Page MenuHomePhabricator

Create NamespaceRestriction class & update block restrictions related classes to support NamespaceRestriction
Closed, ResolvedPublic3 Story Points

Description

Create the NamespaceRestriction class and update BlockRestrictions class to support that.

Update and create tests for these changes.

Update common actions that require this functionality.

Previous change for some changes in BlockRestrictions: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/453081/

Details

Event Timeline

aezell updated the task description. (Show Details)Sep 21 2018, 6:14 PM
aezell set the point value for this task to 3.
dbarratt claimed this task.Oct 30 2018, 3:57 AM

Change 470656 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Add NamespaceRestriction class so that BlockRestriction can handle namespaces.

https://gerrit.wikimedia.org/r/470656

Change 470656 merged by jenkins-bot:
[mediawiki/core@master] Add NamespaceRestriction class so that BlockRestriction can handle namespaces.

https://gerrit.wikimedia.org/r/470656

dbarratt closed this task as Resolved.Jan 23 2019, 5:40 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (Bet — ב) board.